volumes:
  user-data:
    external:
      true
  widget-data:
    external:
      true
services:
  user:
    build:
      context: user_service
      dockerfile: Dockerfile.dev
    ports:
      - 8000:80
    volumes:
      - ./user_service:/app
    environment:
      - SIGNING_KEY=value
      - DATABASE_URL=postgresql://foodies:foodies@user-db/foodies
    restart: always

  widget:
    build:
      context: widget_service
      dockerfile: Dockerfile.dev
    ports:
      - 8001:80
    volumes:
      - ./widget_service:/app
    environment:
      - SIGNING_KEY=value
      - DATABASE_URL=postgresql://foodies:foodies@widget-db/foodies
    restart: always

  # ghi:
  #   image: node:lts-bullseye
  #   command: /bin/bash run.sh
  #   working_dir: /app
  #   volumes:
  #     - ./ghi:/app
  #   ports:
  #     - "3000:3000"
  #   environment:
  #     HOST_OS: ${OS}
  #     NODE_ENV: development
  #     HOST: "0.0.0.0"
  #     PUBLIC_URL: http://localhost:3000
  #     REACT_APP_USER_SERVICE_API_HOST: http://localhost:8000

  user-db:
    image: postgres:14.2-bullseye
    volumes:
      - user-data:/var/lib/postgresql/data
    environment:
      POSTGRES_PASSWORD: foodies
      POSTGRES_USER: foodies
      POSTGRES_DB: foodies
    ports:
      - 15432:5432


  widget-db:
    image: postgres:14.2-bullseye
    volumes:
      - widget-data:/var/lib/postgresql/data
    environment:
      POSTGRES_PASSWORD: foodies
      POSTGRES_USER: foodies
      POSTGRES_DB: foodies
    ports:
      - 25432:5432
